#ifndef FLE_BOXTYPES_H_
#define FLE_BOXTYPES_H_

#include "EDE.h"
#include <fltk/Fl_Boxtype.h>

class FLE_Hor_Shade_Box : public Fl_Flat_Box {
protected:
    const Fl_Boxtype_ *up_, *down_;
    Fl_Color end_; //end of shaded color

public:
    FLE_Hor_Shade_Box(const char* n, const Fl_Boxtype_ *up, const Fl_Boxtype_ *down, Fl_Color end=0);
    virtual void draw(int x,int y,int w,int h, Fl_Color color, Fl_Flags f) const;
};

class FLE_Ver_Shade_Box : public FLE_Hor_Shade_Box {
public:
    FLE_Ver_Shade_Box(const char* n, const Fl_Boxtype_ *up, const Fl_Boxtype_ *down, Fl_Color end=0) : FLE_Hor_Shade_Box(n,up,down,end) { }
    void draw(int x,int y,int w,int h, Fl_Color color, Fl_Flags f) const;
};

extern EDE_API const FLE_Ver_Shade_Box ver_up_shade_box;
#define FLE_VER_SHADE_UP_BOX (&ver_up_shade_box)
extern EDE_API const FLE_Hor_Shade_Box hor_up_shade_box;
#define FLE_HOR_SHADE_UP_BOX (&hor_up_shade_box)
extern EDE_API const FLE_Ver_Shade_Box ver_flat_shade_box;
#define FLE_VER_SHADE_FLAT_BOX (&ver_flat_shade_box)
extern EDE_API const FLE_Hor_Shade_Box hor_flat_shade_box;
#define FLE_HOR_SHADE_FLAT_BOX (&hor_flat_shade_box)
extern EDE_API const Fl_Frame_Box mdi_box;
#define FLE_MDI_BOX (&mdi_box)

#endif

